from datetime import datetime

from django.core.handlers.wsgi import WSGIRequest
from django.http import HttpResponse, HttpResponseRedirect

from .helper import is_logged_in, render_template


def auth(request: WSGIRequest) -> HttpResponseRedirect:
    resp = HttpResponseRedirect("/")
    if "remove" in request.GET:
        resp.set_cookie("sessionid", "", max_age=0, expires=datetime(0, 0, 0))
    else:
        resp.set_cookie("sessionid", request.GET.get("sessionid") or "")

    return resp

def index(request: WSGIRequest) -> HttpResponse:
    if is_logged_in(request):
        return dashboard(request)

    return render_template(
        request, "noauth/index.html"
    )

def profile(request: WSGIRequest, username: str) -> HttpResponse:
    ...

def message(request: WSGIRequest, username: str) -> HttpResponse:
    ...

def dashboard(request: WSGIRequest) -> HttpResponse:
    return render_template(request, "base.html")
